linux-mips
[Top] [All Lists]

Re: [PATCH] Offer Sibyte IDE driver only on platforms that have IDE

To: Martin Michlmayr <tbm@cyrius.com>
Subject: Re: [PATCH] Offer Sibyte IDE driver only on platforms that have IDE
From: Ralf Baechle <ralf@linux-mips.org>
Date: Wed, 1 Mar 2006 11:59:21 +0000
Cc: Mark E Mason <mark.e.mason@broadcom.com>, linux-mips@linux-mips.org
In-reply-to: <20060301014723.GA16315@deprecation.cyrius.com>
Original-recipient: rfc822;linux-mips@linux-mips.org
References: <20060301014723.GA16315@deprecation.cyrius.com>
Sender: linux-mips-bounce@linux-mips.org
User-agent: Mutt/1.4.2.1i
On Wed, Mar 01, 2006 at 01:47:23AM +0000, Martin Michlmayr wrote:

> [PATCH] Offer Sibyte IDE driver only on platforms that have IDE
> 
> Currently Kconfig allows you to select the Sibyte IDE driver on
> any SB1 based SOC platform.  However, not all of them actually
> have IDE.  Nor do they import the correct files needed to compile
> the Sibyte (SWARM) IDE driver, leading to the compilation failure
> below on a SB1A 1480 board.
> 
> The situation can be improved by adding a SIBYTE_HAS_IDE Kconfig
> variable and change the dependency of the Sibyte IDE driver
> accordingly.

I would really prefer to see runtime probing etc. as step towards a
generic Sibyte kernel.

  Ralf

<Prev in Thread] Current Thread [Next in Thread>